<?php

/*

@package kryextheme

*/

global $newzx;
global $wpdb;

get_header(); ?>
	
<div id="primary" class="content-area Aut">
	<div class="breadC"><?php kryex_breadcrumbs(); ?></div>
	<div class="row">
		<div class="col-md-8">
			<?php
				// Set the Current Author Variable $curauth
				$curauth = (isset($_GET['author_name'])) ? get_user_by('slug', $author_name) : get_userdata(intval($author));
			?>
			<div class="author-profile-card">
				<div class="author-photo">
					<?php echo get_avatar( get_the_author_meta( 'ID' ), 150 ); ?>
				</div>
			    <div class="author-meta">
			    	<h1 class="page-title"><?php echo $curauth->display_name; ?></h1>
		    		<ul class="socialsList">
		    			<?php 

		    				$web 		= $curauth->user_url;
		    				$instagram 	= get_the_author_meta( 'instagram', $curauth->ID );
		    				$pinterest 	= get_the_author_meta( 'pinterest', $curauth->ID );
		    				$twitter 	= get_the_author_meta( 'twitter', $curauth->ID );
		    				$facebook 	= get_the_author_meta( 'facebook', $curauth->ID );
		    				$youtube 	= get_the_author_meta( 'youtube', $curauth->ID );
		    				$linkedin 	= get_the_author_meta( 'linkedin', $curauth->ID );
		    				$tumblr 	= get_the_author_meta( 'tumblr', $curauth->ID );

		    				if( !empty( $web ) ):
		    					echo '<li><a href="'.$web.'" rel="nofollow" target="_blank" class="social-icon" title="Web Site"><i class="icofont-earth"></i></a></li>';
		    				endif;

		    				if( !empty( $instagram ) ):
		    					echo '<li><a href="'.$instagram.'" rel="nofollow" target="_blank" class="social-icon" title="instagram"><i class="icofont-instagram"></i></a></li>';
		    				endif;

		    				if( !empty( $twitter ) ):
		    					echo '<li><a href="https://twitter.com/'.$twitter.'" rel="nofollow" target="_blank" class="social-icon" title="twitter"><i class="icofont-twitter"></i></a></li>';
		    				endif;

		    				if( !empty( $facebook ) ):
		    					echo '<li><a href="'.$facebook.'" rel="nofollow" target="_blank" class="social-icon" title="facebook"><i class="icofont-facebook"></i></a></li>';
		    				endif;

		    				if( !empty( $pinterest ) ):
		    					echo '<li><a href="'.$pinterest.'" rel="nofollow" target="_blank" class="social-icon" title="pinterest"><i class="icofont-pinterest"></i></a></li>';
		    				endif;

		    				if( !empty( $youtube ) ):
		    					echo '<li><a href="'.$youtube.'" rel="nofollow" target="_blank" class="social-icon" title="youtube"><i class="icofont-youtube"></i></a></li>';
		    				endif;

		    				if( !empty( $linkedin ) ):
		    					echo '<li><a href="'.$linkedin.'" rel="nofollow" target="_blank" class="social-icon" title="linkedin"><i class="icofont-linkedin"></i></a></li>';
		    				endif;

		    			?>
		    		</ul>
	    		 	<p><?php echo $curauth->user_description; ?></p>
			    </div>
			</div>
			<div class="archivePost">
				<div class="section_title">
					<h3 class="archive_title"><i class="icofont-edit-alt"></i> <?php echo $kryex['Aut_Post_nameX']; ?></h3>
				</div>
				<div class="kryex_pagination">
					<ul class="archive-post-list">
						<?php
							if( have_posts() ):
								while( have_posts() ): the_post();
										
									get_template_part( 'template-parts/content', get_post_format() );
										
								endwhile;
								wp_reset_postdata();
							endif;
						?>
					</ul>
					<div class="post-pagination text-center">
					    <?php the_posts_pagination(array(
					        'prev_text' => '<i class="icofont-rounded-double-left"></i>',
					        'next_text' => '<i class="icofont-rounded-double-right"></i>',
					        'type' => 'list',
					        'screen_reader_text' => '',
					    )); ?>
					</div>
				</div>
			</div>
		</div>
		<div class="sidebar_sticky col-md-4">
		    <div class="author-right-sidebar">
		        <?php dynamic_sidebar('archive_sidebar'); ?>
		    </div>
		</div>
	</div>
</div>
	
<?php get_footer(); ?>