<?php
/**
 * Nano Theme
 * @package  Kryex Themes
 */

defined( 'ABSPATH' ) || exit; // Exit if accessed directly

global $kryex;

?>
</div><!-- container -->
<div id="page-overlay" class="page-overlay"></div>
<div id="widget-panel-overlay" class="page-overlay"></div>

<footer class="footer">
	<div class="footer-copyright">
        <div class="container">
            <?php echo $kryex['copyright-text']; dynamic_sidebar('copyright-sidebar'); ?>
            <ul class="footer_socials">
                <?php
                    if (!empty($kryex['twitter_link'])) : ?><li><a href="<?php echo $kryex['twitter_link']; ?>" target="_blank"><i class="icofont-twitter"></i></a></li><?php else :
                    endif;

                    if (!empty($kryex['instagram_link'])) : ?><li><a href="<?php echo $kryex['instagram_link']; ?>" target="_blank"><i class="icofont-instagram"></i></a></li><?php else :
                    endif;

                    if (!empty($kryex['facebook_link'])) : ?><li><a href="<?php echo $kryex['facebook_link']; ?>" target="_blank"><i class="icofont-facebook"></i></a></li><?php else :
                    endif;

                    if (!empty($kryex['pinterest_link'])) : ?><li><a href="<?php echo $kryex['pinterest_link']; ?>" target="_blank"><i class="icofont-pinterest"></i></a></li><?php else :
                    endif;

                    if (!empty($kryex['whatsapp_link'])) : ?><li><a href="<?php echo $kryex['whatsapp_link']; ?>" target="_blank"><i class="icofont-brand-whatsapp"></i></a></li><?php else :
                    endif;

                    if (!empty($kryex['youtube_link'])) : ?><li><a href="<?php echo $kryex['youtube_link']; ?>" target="_blank"><i class="icofont-youtube"></i></a></li><?php else :
                    endif;
                ?>
            </ul>
        </div>
    </div>
</footer>

<div id="mobile-menu" class="mobile-menu">
    <div class="mobile-menu-scroll">
        <div class="container">
            <div class="row">
                <div class="mobile-menu-main col-md-12">
                    <ul id="mobile-menu-main-ul" class="menu">
                        <?php 
                            // Main menu
                            wp_nav_menu( array(
                                'theme_location'    => 'mobile-menu',
                                'container'         => false,
                                'fallback_cb'       => false,
                                'after'             => '<span class="menu-toggle"></span>',
                                'items_wrap'        => '%3$s'
                            ) );

                            // Right menu
                            wp_nav_menu( array(
                                'theme_location'    => 'right-menu',
                                'container'         => false,
                                'fallback_cb'       => false,
                                'after'             => '<span class="menu-toggle"></span>',
                                'items_wrap'        => '%3$s'
                            ) );
                        ?>
                    </ul>
                    <div class="socialButton">
                        <ul class="sub-menu">
                            <?php if (!empty($kryex['twitter_link'])) : ?><li><a href="<?php echo $kryex['twitter_link']; ?>" target="_blank"><i class="fa fa-twitter" aria-hidden="true"></i></a></li><?php else :
                            endif;
                            if (!empty($kryex['instagram_link'])) : ?><li><a href="<?php echo $kryex['instagram_link']; ?>" target="_blank"><i class="fa fa-instagram" aria-hidden="true"></i></a></li><?php else :
                            endif;
                            if (!empty($kryex['facebook_link'])) : ?><li><a href="<?php echo $kryex['facebook_link']; ?>" target="_blank"><i class="fa fa-facebook" aria-hidden="true"></i></a></li><?php else :
                            endif;
                            if (!empty($kryex['pinterest_link'])) : ?><li><a href="<?php echo $kryex['pinterest_link']; ?>" target="_blank"><i class="fa fa-pinterest-p" aria-hidden="true"></i></a></li><?php else :
                            endif;
                            if (!empty($kryex['youtube_link'])) : ?><li><a href="<?php echo $kryex['youtube_link']; ?>" target="_blank"><i class="fa fa-youtube" aria-hidden="true"></i></a></li><?php else :
                            endif; ?>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<a id="r_top" title="<?php echo $kryex['to_top']; ?>"><i class="icofont-rounded-up"></i></a>
<?php wp_footer(); ?>
</body>
</html>