<?php
/**
 * Nano Theme
 * @package  Kryex Themes
 */

defined( 'ABSPATH' ) || exit; // Exit if accessed directly

// Load core class
require_once get_template_directory() . '/inc/lbrowserc-core.php';
new Lbrowserc_Core();

// Constants: Folder directories/uri's
define( 'KRYEX_TEXT',    		'kryex' );
define( 'KRYEX_THEME_DIR',  get_template_directory() );
define( 'KRYEX_DIR', 			  get_template_directory() . '/inc' );
define( 'KRYEX_THEME_URI',  get_template_directory_uri() );
define( 'KRYEX_URI', 			  get_template_directory_uri() . '/inc' );

// include functions
include("spacefix.php");
require KRYEX_DIR . '/options.php';
require KRYEX_DIR . '/post-like.php';
require KRYEX_DIR . '/enqueue.php';
require KRYEX_DIR . '/widgets.php';
require KRYEX_DIR . '/plugins.php';
require KRYEX_DIR . '/media-grapper.php';
require KRYEX_DIR . '/ajax-paging/wp-paging-ajax.php';

// Theme Option
if ( !class_exists( 'ReduxFramework' ) && file_exists( dirname( __FILE__ ) . '/lib/ReduxCore/framework.php' ) ) {
    require_once( dirname( __FILE__ ) . '/lib/ReduxCore/framework.php' );
}

if ( file_exists( dirname( __FILE__ ) . '/lib/sample/config.php' ) ) {
    require_once( dirname( __FILE__ ) . '/lib/sample/config.php' );
}


/*
==========================================
  Category add field
==========================================
*/

if ( ! class_exists( 'CT_TAX_META' ) ) {

  class CT_TAX_META {

    public function __construct() {
    //
    }
   
    /*
    * Initialize the class and start calling our hooks and filters
    * @since 1.0.0
    */
    public function init() {
      add_action( 'category_add_form_fields', array ( $this, 'add_category_image' ), 10, 2 );
      add_action( 'created_category', array ( $this, 'save_category_image' ), 10, 2 );
      add_action( 'category_edit_form_fields', array ( $this, 'update_category_image' ), 10, 2 );
      add_action( 'edited_category', array ( $this, 'updated_category_image' ), 10, 2 );
      add_action( 'admin_enqueue_scripts', array( $this, 'load_media' ) );
      add_action( 'admin_footer', array ( $this, 'add_script' ) );
    }

    public function load_media() {
     wp_enqueue_media();
    }

    public function add_category_image ( $taxonomy ) { ?>
       <div class="form-field term-group">
         <label for="category-image-id"><?php _e('Image', 'hero-theme'); ?></label>
         <input type="hidden" id="category-image-id" name="category-image-id" class="custom_media_url" value="">
         <div id="category-image-wrapper"></div>
         <p>
           <input type="button" class="button button-secondary ct_tax_media_button" id="ct_tax_media_button" name="ct_tax_media_button" value="<?php _e( 'Add Image', 'hero-theme' ); ?>" />
           <input type="button" class="button button-secondary ct_tax_media_remove" id="ct_tax_media_remove" name="ct_tax_media_remove" value="<?php _e( 'Remove Image', 'hero-theme' ); ?>" />
        </p>
       </div><?php
    }

    public function save_category_image ( $term_id, $tt_id ) {
       if( isset( $_POST['category-image-id'] ) && '' !== $_POST['category-image-id'] ){
         $image = $_POST['category-image-id'];
         add_term_meta( $term_id, 'category-image-id', $image, true );
       }
    }

    public function update_category_image ( $term, $taxonomy ) { ?>
       <tr class="form-field term-group-wrap">
         <th scope="row">
           <label for="category-image-id"><?php _e( 'Image', 'hero-theme' ); ?></label>
         </th>
         <td>
           <?php $image_id = get_term_meta ( $term -> term_id, 'category-image-id', true ); ?>
           <input type="hidden" id="category-image-id" name="category-image-id" value="<?php echo $image_id; ?>">
           <div id="category-image-wrapper">
             <?php if ( $image_id ) { ?>
               <?php echo wp_get_attachment_image ( $image_id, 'thumbnail' ); ?>
             <?php } ?>
           </div>
           <p>
             <input type="button" class="button button-secondary ct_tax_media_button" id="ct_tax_media_button" name="ct_tax_media_button" value="<?php _e( 'Resim ekle', KRYEX_TEXT ); ?>" />
             <input type="button" class="button button-secondary ct_tax_media_remove" id="ct_tax_media_remove" name="ct_tax_media_remove" value="<?php _e( 'Resmi sil', KRYEX_TEXT ); ?>" />
           </p>
         </td>
       </tr><?php
    }

    public function updated_category_image ( $term_id, $tt_id ) {
       if( isset( $_POST['category-image-id'] ) && '' !== $_POST['category-image-id'] ){
         $image = $_POST['category-image-id'];
         update_term_meta ( $term_id, 'category-image-id', $image );
       } else {
         update_term_meta ( $term_id, 'category-image-id', '' );
       }
    }


    public function add_script() { ?>
       <script>
         jQuery(document).ready( function($) {
           function ct_media_upload(button_class) {
             var _custom_media = true,
             _orig_send_attachment = wp.media.editor.send.attachment;
             $('body').on('click', button_class, function(e) {
               var button_id = '#'+$(this).attr('id');
               var send_attachment_bkp = wp.media.editor.send.attachment;
               var button = $(button_id);
               _custom_media = true;
               wp.media.editor.send.attachment = function(props, attachment){
                 if ( _custom_media ) {
                   $('#category-image-id').val(attachment.id);
                   $('#category-image-wrapper').html('<img class="custom_media_image" src="" style="margin:0;padding:0;max-height:100px;float:none;" />');
                   $('#category-image-wrapper .custom_media_image').attr('src',attachment.url).css('display','block');
                 } else {
                   return _orig_send_attachment.apply( button_id, [props, attachment] );
                 }
                }
             wp.media.editor.open(button);
             return false;
           });
         }
         ct_media_upload('.ct_tax_media_button.button'); 
         $('body').on('click','.ct_tax_media_remove',function(){
           $('#category-image-id').val('');
           $('#category-image-wrapper').html('<img class="custom_media_image" src="" style="margin:0;padding:0;max-height:100px;float:none;" />');
         });

         $(document).ajaxComplete(function(event, xhr, settings) {
           var queryStringArr = settings.data.split('&');
           if( $.inArray('action=add-tag', queryStringArr) !== -1 ){
             var xml = xhr.responseXML;
             $response = $(xml).find('term_id').text();
             if($response!=""){
               // Clear the thumb image
               $('#category-image-wrapper').html('');
             }
           }
         });
       });
     </script><?php 
    }

  }
   
  $CT_TAX_META = new CT_TAX_META();
  $CT_TAX_META -> init();

}

/*
============================================
    İNC PAGE
============================================
*/

if(is_admin() and current_user_can('administrator')){

  // Üyeler
  $page_mostviewed = get_option('uyeler');
  if(empty($page_mostviewed)){
    $post_id = wp_insert_post(array(
      'post_content'   => '',
      'post_name'      => __('Üyeler', KRYEX_TEXT ),
      'post_title'     => __('Üyeler', KRYEX_TEXT ),
      'post_status'    => 'publish',
      'post_type'      => 'page',
      'ping_status'    => 'closed',
      'post_date'      => date('Y-m-d H:i:s'),
      'post_date_gmt'  => date('Y-m-d H:i:s'),
      'comment_status' => 'closed',
      'page_template'  => 'author-list.php'
    )); 
    $get_01 = get_option('siteurl').'/' . sanitize_title(__('Üyeler', KRYEX_TEXT )).'/';
    update_option('uyeler', $get_01);
  }

  // ikonlar
  $page_mostviewed = get_option('ikonlar');
  if(empty($page_mostviewed)){
    $post_id = wp_insert_post(array(
      'post_content'   => '',
      'post_name'      => __('ikonlar', KRYEX_TEXT ),
      'post_title'     => __('ikonlar', KRYEX_TEXT ),
      'post_status'    => 'publish',
      'post_type'      => 'page',
      'ping_status'    => 'closed',
      'post_date'      => date('Y-m-d H:i:s'),
      'post_date_gmt'  => date('Y-m-d H:i:s'),
      'comment_status' => 'closed',
      'page_template'  => 'icon-list.php'
    )); 
    $get_02 = get_option('siteurl').'/' . sanitize_title(__('ikonlar', KRYEX_TEXT )).'/';
    update_option('ikonlar', $get_02);
  }

}

/*
============================================
    AUTHORLİST
============================================
*/

function contributors() {

  global $kryex, $author;

  //$number   = $kryex['Author_count'];
  $paged    = (get_query_var('paged')) ? get_query_var('page') : 1;
  //$offset   = ($paged - 1) * $number;
  $users    = get_users();

  $Autorder = $kryex['Aut_orderby'];
  $Autdate  = $kryex['Aut_date'];

  $args = array(
    'exclude'       => false,
    'role__not_in'  => 'Subscriber',
    //'number'        => $number,
    'orderby'       => $Autorder,
    'order'         => $Autdate,
    'offset'        => $offset,
  );

  $query    = get_users( $args );

  $total_users = count($users);
  $total_query = count($query);
  //$total_pages = intval($total_users / $number) + 1;
  $aut_link = esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) );
 
  foreach ( $query as $author ) {
 
    echo "<div class='col-xl-3 col-md-4 col-6 col-author'>";
    echo "<div class='col-cont'>";

    // author avatar
    echo '<a class="author-profile" href="'.esc_url( get_author_posts_url($author->ID,$author->user_nicename) ).'';
    echo the_author_meta('user_nicename', $aut_link);
    echo '"/>';
    echo get_avatar( $author->ID, 150 );
    echo '</a>';

    // author name
    echo '<div class="authorName">';
    echo '<a href="'.esc_url( get_author_posts_url($author->ID,$author->user_nicename) ).'';
    echo the_author_meta('user_nicename', $aut_link);
    echo '"/>';
    echo the_author_meta('display_name', $author->ID);
    echo '</a>';

    $post_count = count_user_posts($author->ID);
    $aut_list_ptext = $kryex['aut_list_postText'];

    echo '<span class="aut_count">'.$post_count.' '.$aut_list_ptext.'</span>';

    echo '</div>'; // authorName

    echo '</div>'; // col-cont
    echo '</div>'; // col-author

  }


  /*if ($total_users > $total_query) {

    echo '<div class="navigation pagination text-center clearfix">';

      $current_page = max(1, get_query_var('paged'));

      echo paginate_links(array(
        'prev_text' => '<i class="fa fa-angle-double-left" aria-hidden="true"></i>',
		    'next_text' => '<i class="fa fa-angle-double-right" aria-hidden="true"></i>',
		    'type'      => 'list',
        'base'      => get_pagenum_link(1) . '%_%',
        'format'    => 'page/%#%/',
        'current'   => $current_page,
        'total'     => $total_pages
      ));

    echo '</div>';
  }*/

}

/*
================================================
  AUTHOR İMAGE
================================================

*/

function cp_scripts_styles() {
  // Register.
  wp_register_style('cprofile_css', KRYEX_URI . '/templates/styles.css', array(), '1.0.0', 'all');
  wp_register_script('cprofile_js', KRYEX_URI . '/templates/scripts.js', array('jquery'), '1.0.0', true);

  // Enqueue.
  wp_enqueue_style( 'cprofile_css' );
  wp_enqueue_script( 'cprofile_js' );
}

add_action( 'admin_enqueue_scripts', 'cp_scripts_styles' );


/**
 * Show the new image field in the user profile page.
 */
function cupp_profile_img_fields( $user ) {
  if ( ! current_user_can( 'upload_files' ) ) {
    return;
  }

  // vars
  $url             = get_the_author_meta( 'cupp_meta', $user->ID );
  $upload_url      = get_the_author_meta( 'cupp_upload_meta', $user->ID );
  $upload_edit_url = get_the_author_meta( 'cupp_upload_edit_meta', $user->ID );
  $button_text     = $upload_url ? 'Resmi değiştir' : 'Yeni resim yükle';

  if ( $upload_url ) {
    $upload_edit_url = get_site_url() . $upload_edit_url;
  }
  ?>

  <div id="cupp_container">
    <h3><?php _e( 'KULLANICI PROFİL RESMİ', KRYEX_TEXT ); ?></h3>

    <table class="form-table">
      <tr>
        <th><label for="cupp_meta"><?php _e( 'Profil resmi', KRYEX_TEXT ); ?></label></th>
        <td>
          <!-- Outputs the image after save -->
          <div id="current_img">
            <?php if ( $upload_url ): ?>
              <img class="cupp-current-img" src="<?php echo esc_url( $upload_url ); ?>"/>

              <div class="edit_options uploaded">
                <a class="remove_img">
                  <span><?php _e( 'Sil', KRYEX_TEXT ); ?></span>
                </a>

                <a class="edit_img" href="<?php echo esc_url( $upload_edit_url ); ?>" target="_blank">
                  <span><?php _e( 'Düzenle', KRYEX_TEXT ); ?></span>
                </a>
              </div>
            <?php elseif ( $url ) : ?>
              <img class="cupp-current-img" src="<?php echo esc_url( $url ); ?>"/>
              <div class="edit_options single">
                <a class="remove_img">
                  <span><?php _e( 'Sil', KRYEX_TEXT ); ?></span>
                </a>
              </div>
            <?php else : ?>
              <img class="cupp-current-img placeholder"
                   src="<?php echo esc_url( get_template_directory_uri( 'img/placeholder.gif' ) ); ?>"/>
            <?php endif; ?>
          </div>

          <!-- Select an option: Upload to WPMU or External URL -->
          <div id="cupp_options">
            <input type="radio" id="upload_option" name="img_option" value="upload" class="tog" checked>
            <label
                for="upload_option"><?php _e( 'Yeni Resim Yükle', KRYEX_TEXT ); ?></label><br>

            <input type="radio" id="external_option" name="img_option" value="external" class="tog">
            <label
                for="external_option"><?php _e( 'Harici url kullan ', KRYEX_TEXT ); ?></label><br>
          </div>

          <!-- Hold the value here if this is a WPMU image -->
          <div id="cupp_upload">
            <input class="hidden" type="hidden" name="cupp_placeholder_meta" id="cupp_placeholder_meta"
                   value="<?php echo esc_url( get_template_directory_uri( 'img/placeholder.gif' ) ); ?>"/>
            <input class="hidden" type="hidden" name="cupp_upload_meta" id="cupp_upload_meta"
                   value="<?php echo esc_url_raw( $upload_url ); ?>"/>
            <input class="hidden" type="hidden" name="cupp_upload_edit_meta" id="cupp_upload_edit_meta"
                   value="<?php echo esc_url_raw( $upload_edit_url ); ?>"/>
            <input id="uploadimage" type='button' class="cupp_wpmu_button button-primary"
                   value="<?php _e( esc_attr( $button_text ), KRYEX_TEXT ); ?>"/>
            <br/>
          </div>

          <!-- Outputs the text field and displays the URL of the image retrieved by the media uploader -->
          <div id="cupp_external">
            <input class="regular-text" type="text" name="cupp_meta" id="cupp_meta"
                   value="<?php echo esc_url_raw( $url ); ?>"/>
          </div>

          <!-- Outputs the save button -->
          <span class="description">
            <?php
            _e(
              'Kullanıcı profiliniz için özel bir fotoğraf yükleyin veya önceden var olan bir fotoğrafı eklemek için url kullanın.', KRYEX_TEXT
            );
            ?>
          </span>
          <p class="description">
            <?php _e( 'Değişikliklerinizi kaydetmek için Profili Güncelleyin.', KRYEX_TEXT ); ?>
          </p>
        </td>
      </tr>
    </table><!-- end form-table -->
  </div>

  <?php
  // Enqueue the WordPress Media Uploader.
  wp_enqueue_media();
}

add_action( 'show_user_profile', 'cupp_profile_img_fields' );
add_action( 'edit_user_profile', 'cupp_profile_img_fields' );


/**
 * Save the new user CUPP url.
 */
function cupp_save_img_meta( $user_id ) {
  if ( ! current_user_can( 'upload_files', $user_id ) ) {
    return;
  }

  $values = array(
    // String value. Empty in this case.
    'cupp_meta'             => filter_input( INPUT_POST, 'cupp_meta', FILTER_SANITIZE_STRING ),

    // File path, e.g., http://3five.dev/wp-content/plugins/qpin/img/placeholder.gif.
    'cupp_upload_meta'      => filter_input( INPUT_POST, 'cupp_upload_meta', FILTER_SANITIZE_URL ),

    // Edit path, e.g., /wp-admin/post.php?post=32&action=edit&image-editor.
    'cupp_upload_edit_meta' => filter_input( INPUT_POST, 'cupp_upload_edit_meta', FILTER_SANITIZE_URL ),
  );

  foreach ( $values as $key => $value ) {
    update_user_meta( $user_id, $key, $value );
  }
}

add_action( 'personal_options_update', 'cupp_save_img_meta' );
add_action( 'edit_user_profile_update', 'cupp_save_img_meta' );

/**
 * Retrieve the appropriate image size
 */
function get_cupp_meta( $user_id, $size = 'thumbnail' ) {
  global $post;

  if ( ! $user_id || ! is_numeric( $user_id ) ) {
    $user_id = $post->post_author;
  }

  // Check first for a custom uploaded image.
  $attachment_upload_url = esc_url( get_the_author_meta( 'cupp_upload_meta', $user_id ) );

  if ( $attachment_upload_url ) {
    // Grabs the id from the URL using the WordPress function attachment_url_to_postid @since 4.0.0.
    $attachment_id = attachment_url_to_postid( $attachment_upload_url );

    // Retrieve the thumbnail size of our image. Should return an array with first index value containing the URL.
    $image_thumb = wp_get_attachment_image_src( $attachment_id, $size );

    return isset( $image_thumb[0] ) ? $image_thumb[0] : '';
  }

  // Finally, check for image from an external URL. If none exists, return an empty string.
  $attachment_ext_url = esc_url( get_the_author_meta( 'cupp_meta', $user_id ) );

  return $attachment_ext_url ? $attachment_ext_url : '';
}


/*
============================================
    WordPress Avatar Filter
============================================
*/

function cupp_avatar( $avatar, $identifier, $size, $alt ) {
  if ( $user = cupp_get_user_by_id_or_email( $identifier ) ) {
    if ( $custom_avatar = get_cupp_meta( $user->ID, 'thumbnail' ) ) {
      $alt = get_the_author_meta( 'display_name' );
      return "<div class='avatar avatar-{$size} photo lazyload' data-bgset='{$custom_avatar}'></div>";
    }
  }

  return $avatar;
}

add_filter( 'get_avatar', 'cupp_avatar', 1, 5 );

/**
 * Get a WordPress User by ID or email
 */
function cupp_get_user_by_id_or_email( $identifier ) {
  // If an integer is passed.
  if ( is_numeric( $identifier ) ) {
    return get_user_by( 'id', (int) $identifier );
  }

  // If the WP_User object is passed.
  if ( is_object( $identifier ) && property_exists( $identifier, 'ID' ) ) {
    return get_user_by( 'id', (int) $identifier->ID );
  }

  // If the WP_Comment object is passed.
  if ( is_object( $identifier ) && property_exists( $identifier, 'user_id' ) ) {
    return get_user_by( 'id', (int) $identifier->user_id );
  }

  return get_user_by( 'email', $identifier );
}

/*
================================================
   AUTHOR BASE
================================================

*/

function cab_init() {
  global $wp_rewrite;

  if ( $author_base = get_option( 'author_base' ) )
    $wp_rewrite->author_base = $author_base;
}
add_action( 'init', 'cab_init' );

/**
 * Adds author base field to permalink settings page
 */
function cab_load_options_permalink() {

  if ( isset( $_POST['author_base'] ) ) {

    $author_base = $_POST['author_base'];

    if ( ! empty( $author_base ) )
      $author_base = preg_replace( '#/+#', '/', '/' . $author_base );

    cab_set_author_base( $author_base );
  }

  add_settings_field(
    'author_base', __( 'üye temeli', KRYEX_TEXT ),
    'cab_settings_field',
    'permalink',
    'optional',
    array( 'label_for' => 'author_base' )
  );
}
add_action( 'load-options-permalink.php', 'cab_load_options_permalink' );

/**
 * Displays author base settings field
 */
function cab_settings_field() {
  echo '<input name="author_base" id="author_base" type="text" value="' . esc_attr( get_option( 'author_base' ) ) . '" class="regular-text code" />';
}

/**
 * Set the base for the author permalink
 */
function cab_set_author_base( $author_base ) {
  global $wp_rewrite;

  if ( $author_base != $wp_rewrite->author_base ) {
    update_option( 'author_base', $author_base );
    $wp_rewrite->init();
    if ( ! empty( $author_base ) )
      $wp_rewrite->author_base = $author_base;
  }
}

// Filter the author base
add_filter( 'option_author_base', '_wp_filter_taxonomy_base' );