<?php 

/*
==========================================
  ENQUEUE SCRİPT AND CSS
==========================================
*/

add_action('wp_enqueue_scripts', 'nx_load_scripts');
function nx_load_scripts() {

  global $kryex;
  
  wp_enqueue_style('style', get_stylesheet_uri());
  wp_enqueue_style('bootstrap',   KRYEX_THEME_URI . '/css/bootstrap.css',   array(), '4.4.1', 'all');
  wp_enqueue_style('global',      KRYEX_THEME_URI . '/css/global.css',    	array(), '1.0', 'all');
  /*wp_enqueue_style('styles',      KRYEX_THEME_URI . '/lib/sample/style.css',  	array(), '1.0', 'all');*/

  wp_enqueue_script('jquery');

  wp_enqueue_script('lazysizes',  KRYEX_THEME_URI . '/js/plugins/lazysizes.min.js', array(), '5.1.2', true);
  wp_enqueue_script('global',     KRYEX_THEME_URI . '/js/global.js',          		  array(), '1.0', true);

  // js text
  $scripts_array = array(
    'view_all'  => esc_html__( 'Hepsini göster', KRYEX_TEXT ),
  );
  wp_localize_script( 'global', 'kryex', $scripts_array );
  wp_enqueue_script( 'global' );
  
  // LİKE ENQ
  $like   = $kryex['like_text'];
  $unlike = $kryex['unlike_text'];

  wp_enqueue_script( 'like',  KRYEX_THEME_URI . '/js/plugins/like.min.js', array(), '0.5.2', true );
  wp_localize_script( 'like', 'simpleLikes', array(
    'ajaxurl' => admin_url( 'admin-ajax.php' ),
    'like'    => $like,
    'unlike'  => $unlike
  ));

  // SİNGLE ENQ
  if ( !is_single() ) {
    wp_enqueue_style( 'front',        KRYEX_THEME_URI . '/css/front.css',   array(), '5.2.1', 'all');
    wp_enqueue_script( 'swiper',      KRYEX_THEME_URI . '/js/plugins/swiper.min.js', array(), '3.5.7', true);
    wp_enqueue_script( 'nx-scripts',  KRYEX_THEME_URI . '/js/front.js',     array(), '1.0', true );
  }

  if ( is_single() ) {
    wp_enqueue_style('single',       KRYEX_THEME_URI . '/css/single.css',             array(), '1.0', 'all');
    wp_enqueue_script('single',      KRYEX_THEME_URI . '/js/single.js',               array(), '1.0', true);
    wp_enqueue_script('fancybox',    KRYEX_THEME_URI . '/js/plugins/fancybox.min.js', array(), '3.5.7', true);
  }

  if ( (!is_admin()) && is_singular() && comments_open() && get_option('thread_comments') ) {
    wp_enqueue_script( 'comment-reply' );
  }

}

/*
==========================================
  ENQUEUE ADMİN
==========================================
*/

function kryex_admin_scripts($hook) {
  if ('admin_css' === $hook || 'widgets.php' === $hook) {
    wp_enqueue_style('nx-admin', KRYEX_URI . '/admin/nx.css');
  }
}
add_action('admin_enqueue_scripts', 'kryex_admin_scripts');
