<?php
/**
 * Kryex Header layout
 * @package  Kryex Nx Theme
 */

global $kryex;

?>

<div class="container">
    <div class="header_wrap">
      <div class="loginUser<?php if ( is_user_logged_in() ) : echo ' logged'; endif; ?>">
        <?php if ( is_user_logged_in() ) :
          $log_admin  = $kryex['log_admin'];
          $log_out    = $kryex['log_out'];
          echo '<a class="wpadmin" title="'.$log_admin.'" href="'.admin_url().'"><i class="icofont-gear"></i></a>';
          echo '<a class="cikis" title="'.$log_out.'" href="'.wp_logout_url( home_url(add_query_arg(array(),$wp->request)) ).'"><i class="icofont-exit"></i></a>';
        else : ?>
          <!-- Button trigger modal -->
          <a class="LogPrimary" data-toggle="modal" data-target="#loginPopup" title="<?php echo $kryex['log_in']; ?>"><i class="icofont-lock"></i></a>
            <!-- Modal -->
          <div id="loginPopup" class="modal bd-example-modal-sm" tabindex="-1" role="dialog" aria-labelledby="loginPopup">
              <div class="modal-dialog modal-sm" role="document">
                <div class="modal-content">
                  <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                      <span aria-hidden="true"><i class="icofont-close"></i></span>
                    </button>
                  </div>
                  <div class="modal-body">
                    <div id="login-register" >
                       <div class="login-tabs">
                           <ul class="nav nav-tabs">
                              <li class="tab1 active">
                                <?php _e('Log in') ?>
                              </li>
                              <li class="tab2">
                                <?php _e('Register') ?>
                              </li>
                           </ul>
                       </div>
                       <div class="tab-content">
                           <div class="tab-pane active" id="log">
                               <div class="login-content">
                                   <?php wp_login_form(); ?>
                                   <a href="<?php echo esc_url( wp_lostpassword_url() ); ?>"><?php _e( 'Lost your password?' ); ?></a>
                                   <?php wp_nonce_field( 'ajax-login-nonce', 'security' ); ?>
                               </div>
                           </div>
                           <div class="tab-pane" id="reg">
                               <div class="login-content">
                                <?php if ( !get_option( 'users_can_register' ) )  : ?>
                                    <div id="dregister"><?php esc_html_e( 'Kullanıcı kaydına şu an izin verilmiyor.', KRYEX_TEXT ); ?></div>
                                <?php else : ?>
                                    <form name="registerform" id="registerform" action="<?php echo wp_registration_url(); ?>" method="post" novalidate="novalidate">
                                     <p>
                                       <label for="user_login"><?php _e('Username') ?></label>
                                       <input type="text" name="user_login" class="input" value="" size="20" required>
                                     </p>
                                     <p>
                                       <label for="user_email"><?php _e('Email') ?></label>
                                       <input type="email" name="user_email" id="user_email" class="input" value="" size="25" required>
                                     </p>
                                     <p id="reg_passmail"><?php _e( 'Registration confirmation will be emailed to you.' ); ?></p>
                                     <input type="hidden" name="redirect_to" value="">
                                     <p class="submit">
                                       <input type="submit" name="wp-submit" class="button button-primary button-large" value="<?php _e('Register') ?>">
                                     </p>
                                       
                                    </form>
                                <?php endif; ?>
                               </div>
                           </div>
                       </div>
                    </div>
                 </div>
               </div>
             </div>
          </div>
        <?php endif; ?>
      </div><div class="logox">
        <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
            <img src="<?php echo $kryex['logo-upload']['url']; ?>" class="logo" alt="<?php bloginfo( 'name' ); ?>" width="<?php echo $kryex['logo-upload']['width']; ?>" height="<?php echo $kryex['logo-upload']['height']; ?>">
            <?php // H1 for the site title in Homepage
                if( is_home() || is_front_page() ) : ?><h1 class="h1_homepage"><?php
                    if (empty($kryex['h1_homepage_title'])) :
                        bloginfo( 'name' ); ?> &#8211; <?php bloginfo('description');
                    else :
                        echo $kryex['h1_homepage_title'];
                    endif;
            ?></h1>
        <?php endif; ?></a>
      </div>
      <div class="socialButton">
          <ul class="sub-menu">
              <?php
                if (!empty($kryex['twitter_link'])) : ?><li><a href="<?php echo $kryex['twitter_link']; ?>" target="_blank"><i class="icofont-twitter"></i></a></li><?php else :
                endif;

                if (!empty($kryex['instagram_link'])) : ?><li><a href="<?php echo $kryex['instagram_link']; ?>" target="_blank"><i class="icofont-instagram"></i></a></li><?php else :
                endif;

                if (!empty($kryex['facebook_link'])) : ?><li><a href="<?php echo $kryex['facebook_link']; ?>" target="_blank"><i class="icofont-facebook"></i></a></li><?php else :
                endif;

                if (!empty($kryex['pinterest_link'])) : ?><li><a href="<?php echo $kryex['pinterest_link']; ?>" target="_blank"><i class="icofont-pinterest"></i></a></li><?php else :
                endif;

                if (!empty($kryex['whatsapp_link'])) : ?><li><a href="<?php echo $kryex['whatsapp_link']; ?>" target="_blank"><i class="icofont-brand-whatsapp"></i></a></li><?php else :
                endif;

                if (!empty($kryex['youtube_link'])) : ?><li><a href="<?php echo $kryex['youtube_link']; ?>" target="_blank"><i class="icofont-youtube"></i></a></li><?php else :
                endif;
              ?>
          </ul>
      </div>
    </div>

    <div id="fx" class="fix">
        <div class="stc">
          <nav class="main-menu">
              <ul id="main-menu-ul" class="menu" role="menubar">
                  <li class="menu-offscreen menu-item">
                      <a href="javascript:" id="mobile-menu-button" class="clicked">
                          <div class="menu-icon">
                              <span class="mDicx-1"></span><span class="mDicx-2"></span><span class="mDicx-3"></span>
                          </div>
                      </a>
                  </li>
                  <?php
                      wp_nav_menu( array(
                          'theme_location'    => 'main-menu',
                          'container'         => false,
                          'fallback_cb'       => false,
                          'items_wrap'        => '%3$s'
                      ) );
                  ?>
              </ul>
          </nav>
          <div class="right-menu">
              <div class="header-search">
                <a class="search_button"><i class="icofont-search"></i></a>
                <div class="dropdown_search">
                  <form method="get" class="search-form" action="<?php echo esc_url(home_url( '/' )); ?>">
                      <div role="search" class="search_wrap">
                        <input type="text" value="<?php echo get_search_query(); ?>" name="s" placeholder="<?php echo $kryex['lang_search']; ?>"><input class="search_submit" type="submit" value="<?php echo $kryex['lang_search_x']; ?>"/>
                      </div>
                  </form>
                </div>
              </div>
          </div>
        </div>
    </div>
</div>