<?php
/**
 * Nano Theme
 * @package  Kryex Themes
 */

defined( 'ABSPATH' ) || exit; // Exit if accessed directly

global $kryex;

if ( has_post_format('gallery') ) {
	$classFormat = 'gallery';
	$iconFormat	 = '<i class="icoX icofont-instagram"></i>';
} else if ( has_post_format('video') ) {
	$classFormat = 'video';
	$iconFormat	 = '<i class="icoX icofont-ui-play"></i>';
} else {
	$classFormat = 'standart';
	$iconFormat	 = '';
}

?>

<li class="post_wide row no-gutters">
	<div class="col-xl-6 col-md-6 col-6">
		<a class="post_thumb" href="<?php the_permalink(); ?>">
		    <?php echo $iconFormat;
		        if (has_post_thumbnail()) :
		            the_post_thumbnail( 'thumb_post', array( 'alt' => get_the_title(get_the_ID()) ));
		        else :
		            echo '<div class="no_thumb" style="background-image: url('.esc_url( KRYEX_THEME_URI ).'/img/nothumb.jpg);"></div>';
		        endif;
		    ?>
		</a>
	</div>
	<div class="col-xl-6 col-md-6 col-6">
		<div class="post-list-meta">
			<div class="cat-list">
				<?php get_template_part('template-parts/category_template'); ?>
			</div>
            <h2 class="post-list-title">
            	<a href="<?php echo get_permalink(); ?>" title="<?php echo get_the_title(); ?>"><?php the_title(); ?></a>
			</h2>
	        <span class="post_date">
                <?php
	                if( $kryex['date_format'] == '1' ) :
	                	echo get_the_date();
                	else :
                		echo meks_time_ago();
            		endif;
                ?>
	        </span>
	        <?php
	        	echo '<span class="xpan views" title="'.$kryex['goruntulenme'].'"><i class="icofont-fire-burn"></i>'.getPostViews(get_the_ID()).'</span>';
	        ?>
		</div>
	</div>
</li>
