<?php
/**
 * Nano Theme
 * @package  Kryex Themes
 */

defined( 'ABSPATH' ) || exit; // Exit if accessed directly

global $kryex;

?>

<div id="section-blog-top">
    <ul class="post_list_top">
        <?php
        if (!empty($kryex['category_section_slider'])) :
          $blog_sx = $kryex['category_section_slider'];
        else :
          $blog_sx = '';
        endif;
        $items_per_page = 5;
        $blog_query = new WP_Query( array(
            'post_type'         => 'post',
            'posts_per_page'    => $items_per_page,
            'cat'               => $blog_sx,
            'ignore_sticky_posts' => 1
        ) );
        if( $blog_query->have_posts() ) : $j = 0; $n = 0;
            while ( $blog_query->have_posts() ) : $blog_query->the_post(); $j++; $n++;

                if( $j == 1 ) :
                    $size = 'large';
                elseif( $j == 2 || $j == 3 || $j == 4 || $j == 5 ) :
                    $size = 'small';
                else :
                    $size = 'medium';
                endif; ?>

                <li class="scl blog-grid-<?php echo esc_attr( $size ); ?> blog-grid-item<?php echo esc_attr( $j ); ?>">
                    <div class="post_content">
                        <a class="imageLink" href="<?php the_permalink(); ?>">
                            <?php
                                if ( has_post_format('gallery') ) {
                                    $classFormat = 'gallery';
                                    $iconFormat  = '<i class="icoX icofont-instagram"></i>';
                                } else if ( has_post_format('video') ) {
                                    $classFormat = 'video';
                                    $iconFormat  = '<i class="icoX icofont-ui-play"></i>';
                                } else {
                                    $classFormat = 'standart';
                                    $iconFormat  = '';
                                }
                            ?>
                            <div class="<?php echo $classFormat; ?>-features">
                                <?php echo $iconFormat;
                                    if (has_post_thumbnail()) : ?>
                                        <div class="post_bg scale lazyload" data-bgset="<?php echo esc_url( the_post_thumbnail_url( 'thumb_max' ) ); ?>"></div><?php
                                    else :
                                        echo '<div class="post_bg scale nothumb" style="background-image: url('.esc_url(KRYEX_THEME_URI).'/img/nothumb.jpg);"></div>';
                                    endif;
                                ?>
                            </div>
                        </a>

                        <div class="post_meta">
                            <?php get_template_part('template-parts/category_template'); ?>
                            <h2 class="post_title">
                                <a href="<?php the_permalink($post->ID); ?>"><?php echo get_the_title(get_the_ID()); ?></a>
                            </h2>
                        </div>
                    </div>
                </li><?php

            endwhile;
            wp_reset_postdata();
        endif; ?>
    </ul>

    <div class="home_sidebar_top">
        <?php dynamic_sidebar('home-sidebar-top'); ?>
    </div>
</div>
