<?php

/*

@package kryextheme

*/

global $kryex;

defined( 'ABSPATH' ) || exit; // Exit if accessed directly

if ( has_post_format('gallery') ) {
    $classFormat = 'gallery';
    $iconFormat  = '<i class="icoX icofont-instagram"></i>';
} else if ( has_post_format('video') ) {
    $classFormat = 'video';
    $iconFormat  = '<i class="icoX icofont-ui-play"></i>';
} else {
    $classFormat = 'standart';
    $iconFormat  = '';
}

?>

<li class="col-xl-3 col-md-4 col-6">
    <div class="pad">
        <?php get_template_part('template-parts/category_template'); ?>
        <a class="related_thumb" href="<?php the_permalink(); ?>">
            <?php echo $iconFormat;
                if (has_post_thumbnail()) :
                    the_post_thumbnail( 'thumb_medium', array( 'alt' => get_the_title(get_the_ID())));
                else :
                    echo '<div class="no_thumb" style="background-image: url('.esc_url( KRYEX_THEME_URI ).'/img/nothumb.jpg);"></div>';
                endif;
            ?>
        </a>
        <div class="post_overlay">
            <h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php echo get_the_title(get_the_ID()); ?></a></h3>
            <span class="post_date">
                <?php
                    if( $kryex['date_format'] == '1' ) :
                        echo get_the_date();
                    else :
                        echo meks_time_ago();
                    endif;
                ?>
            </span>
        </div>
    </div>
</li>