<?php

/*

@package kryextheme

*/

defined( 'ABSPATH' ) || exit; // Exit if accessed directly

global $kryex;
setPostViews(get_the_ID());

?>

<article id="post-<?php the_ID(); ?>" class="qwx">
    <div class="scx">
        <?php the_title( '<h1 class="entry-title">', '</h1>'); ?>
        <div class="entry-top">
            <?php

                $titleCat = sprintf( __( 'Kategori: %s', KRYEX_TEXT ), single_cat_title( '', false ) );
                $categories = get_the_category();
                $separator  = '';
                $output   = '';
                $i      = 1;

                if ( !empty( $categories ) ):
                  foreach ( $categories as $category ):
                    if ( $i > 1 ): $output .= $separator; endif;
                    $output .= '<a href="'. esc_url( get_category_link( $category->term_id ) ) .'" title="'. esc_attr( $titleCat.$category->name ) .'" rel="tag"> '. esc_html( $category->name ) .'</a>';
                    $i++;
                  endforeach;
                endif;

                echo '<span class="posted-in">'. $output .'</span>';


                if ( $kryex['single-postviews-hide'] == '1' ) :
                    echo '<span class="views" title="'.$kryex['goruntulenme'].'"><i class="icofont-fire-burn"></i>'.getPostViews(get_the_ID()).'</span>';
                endif;
                
                if ( $kryex['single-like-hide'] == '1' ) :
                    echo '<span class="like-button"> '.get_simple_likes_button(get_the_ID()).'</span>';
                endif;

                if ( $kryex['single-share-hide'] == '1' ) : ?>
                    <div class="share-post">
                        <?php
                            $title      = get_the_title();
                            $permalink  = get_permalink();
                            $crunchifyURL = urlencode(get_permalink());
                            $crunchifyTitle = str_replace( ' ', '%20', get_the_title());
                            $twitterh   = ( get_option('twitter_handler') ? '&amp;via='.esc_attr( get_option( 'twitter_handler' ) ): '' );
                            $twitter    = 'https://twitter.com/intent/tweet?text='.$title.'&amp;url='.$permalink.$twitterh.'';
                            $facebook   = 'https://facebook.com/sharer/sharer.php?u='. $permalink;
                            $whatsapp   = 'whatsapp://send?text='.$crunchifyTitle . ' ' . $crunchifyURL;
                        ?>

                        <ul>
                            <li><a class="twitter" title="<?php echo $kryex['lang_share_twitter']; ?>" onclick="window.open('<?php echo $twitter ?>', 'newwindow', 'width=620,height=540'); return false;" href="" target="_blank" rel="nofollow"><i class="icofont-twitter"></i></a>
                            </li><li><a class="facebook" title="<?php echo $kryex['lang_share_facebook']; ?>" onclick="window.open('<?php echo $facebook ?>', 'newwindow', 'width=620,height=540'); return false;" href="" target="_blank" rel="nofollow"><i class="icofont-facebook"></i></a>
                            </li><li><a class="whatsapp" title="<?php echo $kryex['lang_share_whatsapp']; ?>" onclick="window.open('<?php echo $whatsapp ?>', 'newwindow', 'width=600,height=540'); return false;" href="" target="_blank" rel="nofollow"><i class="icofont-whatsapp"></i></a>
                            </li><li class="pin_it" title="<?php echo $kryex['lang_share_pinterest']; ?>">
                                <a class="pinterest" onclick="window.open('http://www.pinterest.com/pin/create/button/?url=<?php the_permalink(); ?>&media=<?php echo wp_get_attachment_url( get_post_thumbnail_id($post->ID) ); ?>&description=<?php echo get_the_title(); ?>', 'newwindow', 'width=600,height=540'); return false;" href="" target="_blank" rel="nofollow"><i class="icofont-pinterest"></i></a>
                            </li>
                        </ul>
                    </div><?php
                endif;
            ?>
        </div>
        <?php

            if ( has_post_format( 'gallery' )) {
                if ( $actOn = media_grapper( array( 'type' => 'gallery', 'split_media' => true ) ) ) {
                    echo Kryex_galleryToCarousel( 'the_content' );
                }
            } elseif ( has_post_format( 'video' )) {
                $actOn = media_grapper( array( 'type' => 'video', 'split_media' => true ) );
                echo '<div class="spc">';
                echo $actOn;
                echo '</div>';
            } else {
                if ( has_post_thumbnail() ) {
                    echo '<figure class="single-image">';
                    the_post_thumbnail( 'full', array( 'alt' => get_the_title( get_the_ID() )));
                    echo '</figure>';
                }
            }

        ?>

        <div class="entry-bottom">
            <?php
                if( $kryex['single-author-hide'] == '1' ) : ?>
                    <div class="kr-author">
                        <a href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>">
                            <?php echo get_avatar( get_the_author_meta( 'ID' ), 40 ); the_author(); ?>
                        </a>
                    </div><?php

                endif;

                if( $kryex['single-meta-hide'] == '1' ) : ?>
                    <span class="post_date">
                        <?php
                            if( $kryex['date_format'] == '1' ) :
                                echo get_the_date();
                            else :
                                echo meks_time_ago();
                            endif;
                        ?>
                    </span>
                <?php endif;
            ?>
        </div>

        <div class="ads">
            <?php
                if( $kryex['ads_single_post_top_hide'] == '1' ) :
                    echo '<div class="single-postAx1">';
                    echo $kryex['ads_single_post_top'];
                    echo '</div>';
                endif;
            ?>
        </div>

        <div class="entry-content single-post-content">
            <?php the_content(); ?>
        </div>

        <div class="ads">
            <?php
                if( $kryex['ads_single_post_bottom_hide'] == '1' ) :
                    echo '<div class="single-postAx2">';
                    echo $kryex['ads_single_post_bottom'];
                    echo '</div>';
                endif;
            ?>
        </div>

        <?php

        if( $kryex['single-tag-hide'] == '1' ) :
            echo get_the_tag_list('<div class="tags-list"><i class="icofont-tags"></i>', ' ', '</div>');
        endif;

        if ( $kryex['single-link-nav-hide'] == '1' ) :
            echo '<div class="clearfix post-nav">';
            echo kryex_post_navigation();
            echo '</div>';
        endif;

        if( $kryex['single-releated-hide'] == '1' ) :
            $benzrx     = $kryex['related_post_text'];
            $orig_post  = $post;
            $tags = wp_get_post_tags($post->ID);
            
            if ($tags) {
                $tag_ids = array();
                foreach($tags as $individual_tag) $tag_ids[] = $individual_tag->term_id;
                $args = array(
                    'tag__in' => $tag_ids,
                    'post__not_in' => array($post->ID),
                    'posts_per_page'=> $kryex['releated_number'],
                    'ignore_sticky_posts'=> 1
                );
        
                $my_query = new wp_query( $args );
                
                if( $my_query->have_posts() ) {

                    echo '<div class="releated-post">';
                    echo '<div class="releated-title"><i class="icofont-layers" aria-hidden="true"></i> '.$benzrx.'</div>';
                    echo '<ul class="nxPostList row">';

                        while( $my_query->have_posts() ) {
                        $my_query->the_post();
                       
                        $template = get_template_part('template-parts/related' );
                        if ( $template ) { require $template; }
             
                    }
                    echo '</ul>';
                    echo '</div>';
                } else {
                    echo "";
                }
            }

            $post = $orig_post;
            wp_reset_query();
        endif;

        if( $kryex['single-comments-hide'] == '1' ) :
            if ( comments_open() ) {
                echo '<div class="comment-box">';
                    comments_template();
                echo '</div>';
            }
        endif;

        ?>
    </div>
</article>